zenilib: Lib3dsMeshInstanceNode Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
Lib3dsMeshInstanceNode Struct Reference
API

`#include <lib3ds.h>`

## Public Attributes

Lib3dsNode | base
float | bbox_max [3]
float | bbox_min [3]
int | hide
Lib3dsTrack | hide_track
char | instance_name [64]
char | morph [64]
float | morph_smooth
float | pivot [3]
float | pos [3]
Lib3dsTrack | pos_track
float | rot [4]
Lib3dsTrack | rot_track
float | scl [3]
Lib3dsTrack | scl_track

## Detailed Description

Definition at line 468 of file lib3ds.h.

## Member Data Documentation

Lib3dsNode Lib3dsMeshInstanceNode::base

Definition at line 469 of file lib3ds.h.

float Lib3dsMeshInstanceNode::bbox_max[3]

Definition at line 473 of file lib3ds.h.

Referenced by lib3ds_node_read(), and lib3ds_node_write().

float Lib3dsMeshInstanceNode::bbox_min[3]

Definition at line 472 of file lib3ds.h.

Referenced by lib3ds_node_read(), and lib3ds_node_write().

int Lib3dsMeshInstanceNode::hide

Definition at line 474 of file lib3ds.h.

Referenced by lib3ds_node_eval().

Lib3dsTrack Lib3dsMeshInstanceNode::hide_track

Definition at line 483 of file lib3ds.h.

Referenced by free_node_and_childs(), lib3ds_node_eval(), lib3ds_node_new(), lib3ds_node_read(), and lib3ds_node_write().

char Lib3dsMeshInstanceNode::instance_name[64]

Definition at line 471 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), lib3ds_node_new_mesh_instance(), lib3ds_node_read(), and lib3ds_node_write().

char Lib3dsMeshInstanceNode::morph[64]

Definition at line 479 of file lib3ds.h.

float Lib3dsMeshInstanceNode::morph_smooth

Definition at line 478 of file lib3ds.h.

Referenced by lib3ds_node_read(), and lib3ds_node_write().

float Lib3dsMeshInstanceNode::pivot[3]

Definition at line 470 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), lib3ds_node_read(), and lib3ds_node_write().

float Lib3dsMeshInstanceNode::pos[3]

Definition at line 475 of file lib3ds.h.

Referenced by lib3ds_node_eval().

Lib3dsTrack Lib3dsMeshInstanceNode::pos_track

Definition at line 480 of file lib3ds.h.

Referenced by free_node_and_childs(), lib3ds_node_eval(), lib3ds_node_new(), lib3ds_node_new_mesh_instance(), lib3ds_node_read(), and lib3ds_node_write().

float Lib3dsMeshInstanceNode::rot[4]

Definition at line 476 of file lib3ds.h.

Referenced by lib3ds_node_eval().

Lib3dsTrack Lib3dsMeshInstanceNode::rot_track

Definition at line 481 of file lib3ds.h.

Referenced by free_node_and_childs(), lib3ds_node_eval(), lib3ds_node_new(), lib3ds_node_new_mesh_instance(), lib3ds_node_read(), and lib3ds_node_write().

float Lib3dsMeshInstanceNode::scl[3]

Definition at line 477 of file lib3ds.h.

Referenced by lib3ds_node_eval().

Lib3dsTrack Lib3dsMeshInstanceNode::scl_track

Definition at line 482 of file lib3ds.h.

Referenced by free_node_and_childs(), lib3ds_node_eval(), lib3ds_node_new(), lib3ds_node_new_mesh_instance(), lib3ds_node_read(), and lib3ds_node_write().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/lib3ds/src/lib3ds.h